<?xml version="1.0" encoding="utf-8" ?>
<!--
###############################################################################
# Copyright (c) 2000, 2005 UDT Corporation.
# All rights reserved.
#
# Contributors:
#    UDT - Alan(Aijun shi) saj@uptops-dt.com
###############################################################################
-->
<!-- 'ucmd' is tcl cmd and send to hqfpga to run.       -->
<!-- 'gcmd' is all java action and call GcmdI.run().    -->
<cmds>
    <ucmd>
        <cmd id="@@Ucmd_ID_Tcl_set"           run="set a 10; puts &quot;Ucmd 1&quot; ; puts &quot;wait 1s&quot; ; after 1000; puts &quot;wait done&quot; ; set a ;"/>
        <cmd id="@@Ucmd_ID_Tcl_get"           run="set b 20; puts &quot;Ucmd 2&quot; ; puts &quot;wait 2s&quot; ; after 2000; puts &quot;wait done&quot; ; set b ;"/>
        <cmd id="@@Ucmd_ID_auto"              run="set c 30; puts &quot;Ucmd 3&quot; ; puts &quot;wait 3s&quot; ; after 3000; puts &quot;wait done&quot; ; set d ;"/>
        <cmd id="@@Ucmd_ID_design.load"       run="design.load"      />
        <cmd id="@@Ucmd_ID_design.reset"      run="design.reset"     />
        <cmd id="@@Ucmd_ID_design.save"       run="design.save"      />
        <cmd id="@@Ucmd_ID_dv.setup"          run="dv.setup"         />
        <cmd id="@@Ucmd_ID_lang.set"          run="lang.set"         />
        <cmd id="@@Ucmd_ID_nl.clean"          run="nl.clean"         />
        <cmd id="@@Ucmd_ID_nl.flatten"        run="nl.flatten"       />
        <cmd id="@@Ucmd_ID_nl.report"         run="nl.report"        />
        <cmd id="@@Ucmd_ID_nl.revext"         run="nl.revext"        />
        <cmd id="@@Ucmd_ID_nl.unflatten"      run="nl.unflatten"     />
        <cmd id="@@Ucmd_ID_nl.uniquify"       run="nl.uniquify"      />
        <cmd id="@@Ucmd_ID_nl.write"          run="nl.write"         />
        <cmd id="@@Ucmd_ID_rtl.analyze"       run="rtl.analyze"      />
        <cmd id="@@Ucmd_ID_rtl.query"         run="rtl.query"        />
        <cmd id="@@Ucmd_ID_ta.fmax.report"    run="ta.fmax.report"   />
        <cmd id="@@Ucmd_ID_ta.report"         run="ta.report"        />
        <cmd id="@@Ucmd_ID_timing.report"     run="timing.report"    />
        <cmd id="@@Ucmd_ID_edif.read"         run="edif.read"        />
        <cmd id="@@Ucmd_ID_edif.write"        run="edif.write"       />
        <cmd id="@@Ucmd_ID_xdl.read"          run="xdl.read"         />
        <cmd id="@@Ucmd_ID_xdl.write"         run="xdl.write"        />
        <cmd id="@@Ucmd_ID_nvlg.read"         run="nvlg.read"        />
        <cmd id="@@Ucmd_ID_design.pack"       run="design.pack"      />
        <cmd id="@@Ucmd_ID_design.place"      run="design.place"     />
        <cmd id="@@Ucmd_ID_design.route"      run="design.route"     />
        <cmd id="@@Ucmd_ID_design.tmr"        run="design.tmr"       />
        <cmd id="@@Ucmd_ID_design.lo"         run="design.lo"        />
        <cmd id="@@Ucmd_ID_design.unmap"      run="design.unmap"     />
        <cmd id="@@Ucmd_ID_design.map"        run="design.map"       />
        <cmd id="@@Ucmd_ID_upc.read"          run="upc.read"         />
        <cmd id="@@Ucmd_ID_upc.clear"         run="upc.clear"        />

        <cmd id="@@Ucmd_ID_getTopModuleName"  run="getTopModuleName" />
        <cmd id="@@Ucmd_ID_savePlacement"     run="savePlacement"    />
        <cmd id="@@Ucmd_ID_saveNet"           run="saveNet"          />
        <cmd id="@@Ucmd_ID_generateRpt"       run="generateRpt"      />
        <cmd id="@@Ucmd_ID_saveUdm"           run="saveUdm"          />
        <cmd id="@@Ucmd_ID_loadUdm"           run="loadUdm"          />

        <!-- Follow cmd can run all flow -->
        <cmd id="@@Ucmd_ID_designImportExec"  run="designImportExec" />
        <cmd id="@@Ucmd_ID_hqPackExec"        run="hqPackExec"       />
        <cmd id="@@Ucmd_ID_hqPlaceExec"       run="hqPlaceExec"      />
        <cmd id="@@Ucmd_ID_hqRouteExec"       run="hqRouteExec"      />
        <cmd id="@@Ucmd_ID_bitGen"            run="hqBitgenExec"     />
        <cmd id="@@Ucmd_ID_progBit"           run="progBit"          />
        <cmd id="@@Ucmd_ID_runHqInstrumentor" run="runHqInstrumentor"/>
        <cmd id="@@Ucmd_ID_runHqInsightImpl"  run="runHqInsImpl"/>
        <cmd id="@@Ucmd_ID_runHqInsDebugger"  run="runHqInsDbgr"/>
        <cmd id="@@Ucmd_ID_runIpCreator"      run="runIpCreator"/>
        <cmd id="@@Ucmd_ID_runNlViewer"       run="runNlViewer"/>
        <cmd id="@@Ucmd_ID_runDesignExplorer" run="runDesignExplorer"     />
        <cmd id="@@Ucmd_ID_runVioDebugger"    run="runVioDebugger"     />
        <cmd id="@@Ucmd_ID_runVlaDebugger"    run="runVlaDebugger"     />
        <cmd id="@@Ucmd_ID_runRtHtmViewer"    run="runRtHeatmapViewer"/>
        <cmd id="@@Ucmd_ID_STCHK_hqins_instr" run="chk_insight_instru_stat"/>
        <cmd id="@@Ucmd_ID_STCHK_hqins_impl"  run="chk_insight_impl_stat"/>
		<cmd id="@@Ucmd_ID_STCHK_hqins_dbgr"  run="chk_insight_dbgr_stat"/>

        <cmd id="@@Ucmd_ID_openProgrammer"    run="runProg"/>
    </ucmd>

    <gcmd>
        <cmd id="@@Gcmd_ID_new_project"           run="cn.udt.gui.base.cmd.NewProject"          />
        <cmd id="@@Gcmd_ID_pro_property"          run="cn.udt.gui.base.cmd.ProProperty"         />
        <cmd id="@@Gcmd_ID_open_project"          run="cn.udt.gui.base.cmd.OpenProject"         />
        <cmd id="@@Gcmd_ID_close_project"         run="cn.udt.gui.base.cmd.CloseProject"        />
        <cmd id="@@Gcmd_ID_exit_window"           run="cn.udt.gui.base.cmd.ExitWindow"          />
        <cmd id="@@Gcmd_ID_Synthe_tool"           run="cn.udt.gui.base.cmd.SetSynTool"          />
        <cmd id="@@Gcmd_ID_set_lang_chs"          run="cn.udt.gui.base.cmd.SetLangChs"          />
        <cmd id="@@Gcmd_ID_set_lang_eng"          run="cn.udt.gui.base.cmd.SetLangEng"          />
        <cmd id="@@Gcmd_ID_set_lang_jpn"          run="cn.udt.gui.base.cmd.SetLangJpn"          />
        <cmd id="@@Gcmd_ID_open_manual"           run="cn.udt.gui.base.cmd.OpenManual"          />
        <cmd id="@@Gcmd_ID_about_dialog"          run="cn.udt.gui.base.cmd.AboutDialog"         />
        <cmd id="@@Gcmd_ID_recent_Project_dialog" run="cn.udt.gui.base.cmd.RecentProjectDialog" />
        <cmd id="@@Gcmd_ID_timing_analy"          run="cn.udt.gui.base.cmd.RunTimAnaly"         />
        <cmd id="@@Gcmd_ID_rsyn_sta"              run="cn.udt.gui.base.cmd.RunRsynSTA"          />
        <cmd id="@@Gcmd_ID_add_constrains"        run="cn.udt.gui.base.cmd.AddConstrains"       />
        <cmd id="@@Gcmd_ID_add_tc"                run="cn.udt.gui.base.cmd.AddTc"               />
        <cmd id="@@Gcmd_ID_add_pc"                run="cn.udt.gui.base.cmd.AddPc"               />
        <cmd id="@@Gcmd_ID_open_pack_v"           run="cn.udt.gui.base.cmd.OpPackView"          />
        <cmd id="@@Gcmd_ID_open_pack_r"           run="cn.udt.gui.base.cmd.OpPackReport"        />
        <cmd id="@@Gcmd_ID_open_place_v"          run="cn.udt.gui.base.cmd.OpPlaceView"         />
        <cmd id="@@Gcmd_ID_open_place_r"          run="cn.udt.gui.base.cmd.OpPlaceReport"       />
        <cmd id="@@Gcmd_ID_open_route_r"          run="cn.udt.gui.base.cmd.OpRouteResReport"    />
        <cmd id="@@Gcmd_ID_open_setting"          run="cn.udt.gui.base.cmd.OpenSetting"         />
        <cmd id="@@Gcmd_ID_open_rtl_setting"      run="cn.udt.gui.base.cmd.OpenRTLSetting"      />
        <cmd id="@@Gcmd_ID_schematic"             run="cn.udt.gui.base.cmd.OpSchematicView"     />
        <cmd id="@@Gcmd_ID_open_standard"         run="cn.udt.gui.base.cmd.OpStandardPerspective"/>
        <cmd id="@@Gcmd_ID_open_classic"          run="cn.udt.gui.base.cmd.OpClassicPerspective"/>
        <cmd id="@@Gcmd_ID_open_debug"            run="cn.udt.gui.base.cmd.OpDebugPerspective"/>
        <cmd id="@@Gcmd_ID_switch_debug"          run="cn.udt.gui.base.cmd.SwitchDebugPerspective"/>
        <cmd id="@@Gcmd_ID_openProgrammer"        run="cn.udt.gui.base.cmd.OpenProgrammer"/>
        <cmd id="@@Gcmd_ID_STCHK_phycst"		  run="cn.udt.gui.base.statcheck.CmdCheckStatPhyCst"/>
        <cmd id="@@Gcmd_ID_STCHK_tcst"			  run="cn.udt.gui.base.statcheck.CmdCheckStatTcst"/>
        <cmd id="@@Gcmd_ID_STCHK_debug_disable"	  run="cn.udt.gui.base.statcheck.CmdCheckStatDebugModeDisable"/>
        <cmd id="@@Gcmd_ID_STCHK_toggle_debug"	  run="cn.udt.gui.base.statcheck.CmdCheckStatToggleDebug"/>
        <cmd id="@@Gcmd_ID_STCHK_run_all"	 	  run="cn.udt.gui.base.statcheck.CmdCheckStatRunAll"/>
        <cmd id="@@Gcmd_ID_handleDebugScript"     run="cn.udt.gui.base.cmd.HandleDebugScript"/>

    </gcmd>
</cmds>